/*----- PROTECTED REGION ID(Agilent532x0AStateMachine.cpp) ENABLED START -----*/
static const char *RcsId = "$Id:  $";
//=============================================================================
//
// file :        Agilent532x0AStateMachine.cpp
//
// description : State machine file for the Agilent532x0A class
//
// project :     Agilent Frequency counter(timer)
//
// This file is part of Tango device class.
// 
// Tango is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Tango is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Tango.  If not, see <http://www.gnu.org/licenses/>.
// 
// $Author:  $
//
// $Revision:  $
// $Date:  $
//
// $HeadURL:  $
//
//=============================================================================
//                This file is generated by POGO
//        (Program Obviously used to Generate tango Object)
//=============================================================================

#include <Agilent532x0A.h>

/*----- PROTECTED REGION END -----*/	//	Agilent532x0A::Agilent532x0AStateMachine.cpp

//================================================================
//  States  |  Description
//================================================================


namespace Agilent532x0A_ns
{
//=================================================
//		Attributes Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : Agilent532x0A::is_frequency_allowed()
 *	Description : Execution allowed for frequency attribute
 */
//--------------------------------------------------------
bool Agilent532x0A::is_frequency_allowed(TANGO_UNUSED(Tango::AttReqType type))
{

	//	Not any excluded states for frequency attribute in read access.
	/*----- PROTECTED REGION ID(Agilent532x0A::frequencyStateAllowed_READ) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent532x0A::frequencyStateAllowed_READ
	return true;
}

//=================================================
//		Commands Allowed Methods
//=================================================

//--------------------------------------------------------
/**
 *	Method      : Agilent532x0A::is_ClearErrors_allowed()
 *	Description : Execution allowed for ClearErrors attribute
 */
//--------------------------------------------------------
bool Agilent532x0A::is_ClearErrors_allowed(TANGO_UNUSED(const CORBA::Any &any))
{
	//	Not any excluded states for ClearErrors command.
	/*----- PROTECTED REGION ID(Agilent532x0A::ClearErrorsStateAllowed) ENABLED START -----*/
	
	/*----- PROTECTED REGION END -----*/	//	Agilent532x0A::ClearErrorsStateAllowed
	return true;
}

}	//	End of namespace
